View Issue Details

IDProjectCategoryView StatusLast Update
0009598CentOS-7kernelpublic2018-01-27 19:51
Reporterolahaye74 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSCentOSOS Version7.1.1503
Product Version7.1-1503 
Target VersionFixed in Version 
Summary0009598: ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
DescriptionI'm using NFS over Infiniband, and I think that I'm hitting this problem:
http://permalink.gmane.org/gmane.linux.drivers.rdma/20239

dmesg output is filled with tons of:
[...]
[4742520.623056] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742520.623813] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742520.624626] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742520.625439] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742520.626223] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742520.627060] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742620.747041] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742620.750520] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742620.751322] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742620.752067] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742620.752829] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
[4742620.753661] ib0: can't use GFP_NOIO for QPs on device mlx5_0, using GFP_KERNEL
Steps To Reproduceshare nfs mountpoints thru infiniband interface
TagsNo tags attached.
abrt_hash
URL

Activities

olahaye74

olahaye74

2016-03-10 08:23

reporter   ~0025978

Still valid for CentOS-7.2.1511 using kernel 3.10.0-229.20.1.el7.x86_64
(3.10.0-327.10.1 has missing symbols for mlx5 driver so I can't test).
olahaye74

olahaye74

2016-03-10 08:24

reporter   ~0025979

I forgot to mention that the link http://permalink.gmane.org/gmane.linux.drivers.rdma/20239 provides the patch that fixes the problem.
toracat

toracat

2016-03-10 17:17

manager   ~0025992

commit 09b93088d75009807b72293f26e2634430ce5ba9
toracat

toracat

2016-03-10 17:27

manager   ~0025995

@olahaye74

The patch you quoted is in the current CentOS-7 kernel (3.10.0-327.x). Please update your kernel (3.10.0-229.x) to the latest. We cannot provide support for older versions.
olahaye74

olahaye74

2016-03-11 19:47

reporter   ~0026017

Unfortunately, as mentioned 4 messages above: 3.10.0-327.10.1 has missing symbols for mlx5 driver so I can't test.
toracat

toracat

2016-03-11 23:09

manager   ~0026018

Where did you get that mlx5 driver from? The in-kernel driver, mlx5_core, does not work for your hardware? Can you ask the provider to update their version to include RHEL/CentOS 7.2?

As mentioned earlier, we cannot support older kernels. If you must stay with the -229 kernel, you may want to consider building a patched version yourself.
robodendron

robodendron

2016-04-11 23:47

reporter   ~0026262

We are also noticing this with the newest kernel series (3.10.0-327.13.1) and a GPFS/Spectrum Scale filesystem served over IB.
toracat

toracat

2016-11-19 15:34

manager   ~0027927

How about the current kernel 3.10.0-327.36.3.el7? The 7.3 kernel (3.10.0-514.el7) will be released soon. Please report back if the issue persists with any of the newer kernels.
pkenyon

pkenyon

2017-01-13 20:48

reporter   ~0028350

We are still getting this issue with kernel-3.10.0-514.2.2.el7.
pkenyon

pkenyon

2017-03-16 14:59

reporter   ~0028874

Still an issue with 3.10.0-514.10.2.el7.x86_64. In our case, this happens with mlx5_core from distribution.
danielhilst

danielhilst

2017-04-17 22:13

reporter   ~0029079

I'm facing this too. Also running `nfsometer server:mount filebench_fileserver' hangs after some while. After interrupting by pressing ^C I can see the `sync' command blocking forever on `top'.
danielhilst

danielhilst

2017-05-02 19:54

reporter   ~0029212

Just as an observation. I want to try a newer kernel so I've installed Ubuntu server 16.04 LTS with kernel 4.4.0. Same problem ... :-(
toracat

toracat

2017-12-16 17:28

manager   ~0030764

To those who are affected:

The kernel is at 3.10.0-693.xxx. Are you still seeing the same issue?
olahaye74

olahaye74

2017-12-22 15:10

reporter   ~0030817

Not present with kernel-3.10.0-514.26.2
But I have those kind of messages:
mlx5_err:mlx5_0:mlx5_ib_alloc_ucontext:817:(pid 29394): request malformed, reqlen: 32

I saw many fixes in more recent kernels, but can't reboot ATM, so I can't test.
danielhilst

danielhilst

2017-12-22 18:37

reporter   ~0030818

I tested the .693 kernel and didn't get the messages, plus I could complete the nfsometer test.

Anybody can confirm?
toracat

toracat

2018-01-27 19:51

manager   ~0031071

Based on the latest note, I'm closing this ticket as resolved. Anyone still having the problem, feel free to file a new report.

Issue History

Date Modified Username Field Change
2015-10-13 08:58 olahaye74 New Issue
2016-03-10 08:23 olahaye74 Note Added: 0025978
2016-03-10 08:24 olahaye74 Note Added: 0025979
2016-03-10 17:17 toracat Note Added: 0025992
2016-03-10 17:27 toracat Note Added: 0025995
2016-03-10 17:29 toracat Status new => feedback
2016-03-11 19:47 olahaye74 Note Added: 0026017
2016-03-11 19:47 olahaye74 Status feedback => assigned
2016-03-11 23:09 toracat Note Added: 0026018
2016-04-11 23:47 robodendron Note Added: 0026262
2016-04-11 23:48 toracat Status assigned => feedback
2016-11-19 15:34 toracat Note Added: 0027927
2017-01-13 20:48 pkenyon Note Added: 0028350
2017-03-16 14:59 pkenyon Note Added: 0028874
2017-04-17 22:13 danielhilst Note Added: 0029079
2017-05-02 19:54 danielhilst Note Added: 0029212
2017-12-16 17:28 toracat Note Added: 0030764
2017-12-22 15:10 olahaye74 Note Added: 0030817
2017-12-22 15:10 olahaye74 Status feedback => assigned
2017-12-22 18:37 danielhilst Note Added: 0030818
2018-01-27 19:51 toracat Status assigned => resolved
2018-01-27 19:51 toracat Resolution open => fixed
2018-01-27 19:51 toracat Note Added: 0031071